Summary: e-smith server and gateway - IP masquerade add-on
%define name e-smith-ipmasq
Name: %{name}
%define version 1.10.0
%define release 01
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.1.1-22, e-smith-packetfilter
Requires: iptables
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
e-smith server and gateway software - IP masq add-on

This module ensures that special modules for IP masquerading
special protocols are loaded, and that IP masquerade is enabled
for the local network.

%changelog
* Thu Jun 26 2003 Charlie Brady <charlieb@e-smith.com>
- [1.10.0-01]
- Changing version to stable stream number - 1.10.0

* Fri Apr 11 2003 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-02]
- Remove loading of pptp nat and connection tracking modules, as they
  aren't yet reliable. [charlieb 6546]

* Fri Apr 11 2003 Charlie Brady <charlieb@e-smith.com>
- [1.9.0-01]
- Roll development version to 1.9.0

* Mon Dec 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.1-02]
- Change Copyright: GPL header to License: GPL.
- Do not masquerade outbound connections which originate locally. Make sure
  that masq rule changes if external IP address does. [charlieb 6345]

* Fri Nov  1 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.8.1-01]
- And removed ip_masq_tftp [gordonr 5275]

* Fri Oct 18 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.8.0-02]
- Added ip_masq_tftp [gordonr 5275]

* Fri Oct 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.8.0-01]
- Rolling stable version number to 1.8.0

* Thu Oct  3 2002 Gordon Rowell <gordonr@e-smith.com>
- [1.7.4-03]
- Load ip_nat_pptp and ip_conntrack_pptp [gordonr 5027]

* Wed Sep 11 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.4-02]
- Remove special input rules for masqueraded IPSEC and PPTP traffic.
  These should be convered by connection tracking, but if now, we'll
  need to re-implement. [charlieb 4499]

* Wed Aug  7 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.4-01]
- Now need ftp conntrack module as well. [charlieb 4499]

* Tue Jul 23 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.3-01]
- Load iptables ftp nat module, so that ftp "just works". [charlieb 1268]

* Thu Jul 18 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.2-01]
- Remove all 2.2 kernel (ipchains) specific masquerading modules, and
  convert syntax from ipchains to iptables on remaining fragments.
  [charlieb 1268]

* Wed Jun  5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.1-01]
- Test build to verify CVS conversion

* Wed Jun 5 2002 Charlie Brady <charlieb@e-smith.com>
- [1.7.0-01]
- rollRPM: Rolled version number to 1.7.0-01. Includes patches up to 1.6.0-01.

* Tue Dec 11 2001 Jason Miller <jay@e-smith.com>
- [1.6.0-01]
- rollRPM: Rolled version number to 1.6.0-01. Includes patches up to 1.5.0-03.

* Mon Nov 05 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-03]
- Fix missing comma problem.

* Mon Nov 05 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-02]
- Load rtsp masquerade module rather than raudio masquerade module.

* Mon Nov 5 2001 Charlie Brady <charlieb@e-smith.com>
- [1.5.0-01]
- Rolled version number to 1.5.0-01. Includes patches upto 1.4.0-02.

* Fri Aug 17 2001 gordonr
- [1.4.0-02]
- Autorebuild by rebuildRPM

* Wed Aug 8 2001 Charlie Brady <charlieb@e-smith.com>
- [1.4.0-01]
- Rolled version number to 1.4.0-01. Includes patches upto 1.3.0-05.

* Tue Aug 01 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-05]
- Accept IKE packets when doing ipsec masquerading 
  Note: This is now disabled by default - see 1.3.0-03

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [1.3.0-04]
- Including GPL license with package

* Wed May 30 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-03]
- Don't load ip_masq_ipsec by default. Loading it while running ipsec
  generates copious logs in /var/log/messages of the form:
  May 31 01:37:55 e-smith kernel: ip_demasq_esp(): Inbound from 
  aaa.bbb.ccc.ddd SPI xxxxxxxx has no masq table entry.
- Loading can be forced by
	 /sbin/e-smith/db configuration setprop masq ipsec yes

* Sat May 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-02]
- Don't load ip_masq_quake by default. Loading can be forced by
  /sbin/e-smith/db configuration setprop masq quake yes

* Sat May 19 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.3.0-01]
- Rolled version number to 1.3.0-01. Includes patches upto 1.2.0-04.

* Thu Mar 29 2001 Charlie Brady <charlieb@e-smith.com>
- [1.2.0-04]
- Add rules to accept GRE and ESP packets if pptp masq and/or ipsec masq
  is enabled.

* Fri Mar 23 2001 Gordon Rowell <gordonr@e-smith.com>
- [1.2.0-03]
- Added masq for pptp and ipsec
- Each masq module now checks for its name as a property of the masq service,
  defaulting to "yes"/loaded.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [1.2.0-02]
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [1.2.0-01]
- Rolled version number to 1.2.0-01. Includes patches upto 1.1.0-2.

* Sat Jan 06 2001 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-2]
- Add icq and h323 masq, remove pptp masq

* Fri Dec 15 2000 Charlie Brady <charlieb@e-smith.com>
- [1.1.0-1]
- Roll version

* Fri Dec 15 2000 Charlie Brady <charlieb@e-smith.com>
- [0.1.0-1]
- Initial. Split from e-smith-base.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
